/***************************************************************************
*   Copyright (C) 2004-2005 by Thomas Fischer                             *
*   fischer@unix-ag.uni-kl.de                                             *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/
#ifndef KBIBTEXACTIONTEXTSEARCH_H
#define KBIBTEXACTIONTEXTSEARCH_H

#include <kaction.h>

class QLineEdit;
class QWidget;
class QBoxLayout;
class QTimer;
class KToolBar;

/**
@author Thomas Fischer
*/
class KBibTeXActionTextSearch : public KAction
{
    Q_OBJECT
public:
    KBibTeXActionTextSearch( const QString &text, const KShortcut &cut, KActionCollection *parent, const char *name );

    ~KBibTeXActionTextSearch();

    virtual int plug( QWidget *parent, int index = -1 );
    virtual void unplug( QWidget *parent );

signals:
    /**
      This signal is emitted whenever the text in the input
      widget is changed.
     */
    void doSearch( const QString& text );

public slots:
    void clear();
    void updateOrientation();

private:
    QWidget *createWidget( QWidget *parent );

    KToolBar *m_toolBar;
    QLineEdit *m_lineeditSearchText;
    QTimer *m_inputTimer;
    QWidget *m_widget;

private slots:
    void updateSize();
    void toolbarDestroyed();
    void announceDoSearch();
    void timeout();
};

#endif
