/***************************************************************************
*   Copyright (C) 2004-2005 by Thomas Fischer                             *
*   fischer@unix-ag.uni-kl.de                                             *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/
#ifndef KBIBTEXSELECTACTION_H
#define KBIBTEXSELECTACTION_H

#include <qdict.h>
#include <kactionclasses.h>

namespace KBibTeX
{

    /**
    @author Thomas Fischer
    */
    class SelectAction : public KSelectAction
    {
        Q_OBJECT
    public:
        SelectAction( const QString &text, const KShortcut &cut, KActionCollection *parent, const char *name );

        void setItems( QPtrList<KAction>& list );
    private slots:
        void startAction( const QString& );
    private:
        QDict<KAction> m_dictActions;
    };

}

#endif
